Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Interface OWLSyntaxChecker

    public interface OWLSyntaxChecker

This interface is currently part of SPI, not the API. This means that the methods in it may be changed as part of the Jena development process without deprecation etc. People other than the Jena development team are discouraged from making direct use of this interface. Comments on this interface and how we should progress it, and generalize it are welcome on jena-devel@lists.sourceforge.net The API to access this functionality is `OntModel.getOWLLanguageLevel(List)`, and requires owlsyntax.jar (separately downloadable from the Jena sourceforge site) to be on the classpath.

Author:
  Jeremy J. Carroll

Method Summary
`Resource` | `getOWLLanguageLevel(OntModel owlModel, java.util.List problems)` Given an OWL ontology model owlModel, answer the minimum OWL language level that the constructs used in this model lie entirely within.

Method Detail

### getOWLLanguageLevel

    Resource getOWLLanguageLevel(OntModel owlModel,
                                 java.util.List problems)
                                 throws OntologyException

  Given an OWL ontology model owlModel, answer the minimum OWL language level that the constructs used in this model lie entirely within. The three possible return values are `OWL.FULL_LANG` for OWL-full, `OWL.DL_LANG` for OWL-DL or `OWL.LITE_LANG` for OWL-lite. Note that these URI's are not officially sanctioned by the WebOnt working group. For unknown reasons, the working group chose not to assign official URI's to represent the different OWL language levels. There is a slim chance that this may change in future, in which case these return values will change apropriately. In addition, the given `problems list, if non-null, will be filled with the syntax problems detected by the syntax checker.`

  The Jena OWL syntax checker will normally list as problems those constructs used in this model that are in OWL Full but not permitted in OWL DL. The exception to this is if the language profile for this model is OWL Lite, then the syntax checker will test for constructs that lie in OWL-DL or OWL-Full and hence outside in OWL-Lite.

  Parameters:
    `owlModel` - An OntModel that must be an OWL ontology.
    `problems` - A list that, if non-null, will have the various problems discovered by the OWL syntax checker added to it.
  Returns:
    A resource denoting the minimum OWL language level for owlModel
  Throws:
    `OntologyException` - if owlModel is not an OWL model

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP